%define upstream_name    match-simple
%define upstream_version 0.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A few extras for match::simple
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/match/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Infix)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
match::smart provides a match operator '|M|' that acts like more or less
identically to the (as of Perl 5.18) deprecated smart match operator.

If you don't like the crazy the Sub::Infix manpage operator, you can
alternatively export a more normal function:

   use v5.10;
   use match::smart qw(match);
   
   if (match($this, $that))
   {
      say "$this matches $that";
   }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.12.0-2.mga10
+ Revision: 2229914
- Mageia 10 Mass Rebuild

* Sun Nov 10 2024 wally <wally> 0.12.0-1.mga10
+ Revision: 2113726
- imported package perl-match-simple


* Sun Nov 10 2024 cpan2dist 0.012-1mga
- initial mageia release, generated with cpan2dist
